Name:             rhq-plugin-gen
Version:          3.0.4
Release:          2%{?dist}
Summary:          RHQ plugin generator
Group:            Development/Libraries
License:          GPL and LGPLv2+
URL:              http://rhq-project.org

# git clone git://git.fedorahosted.org/rhq/rhq.git
# git checkout rhq-pluginGen-3.0.4
# cd rhq/modules/helpers/
# tar cafJ rhq-plugin-gen-3.0.4.tar.xz pluginGen
Source0:          rhq-plugin-gen-%{version}.tar.xz
Patch0:           rhq-plugin-gen-%{version}-pom.patch

BuildArch:        noarch

BuildRequires:    apache-commons-logging
BuildRequires:    freemarker >= 2.3.13-14
BuildRequires:    java-devel
BuildRequires:    javassist
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    rhq-plugin-annotations

Requires:         apache-commons-logging
Requires:         freemarker >= 2.3.13-14
Requires:         java
Requires:         javassist
Requires:         jpackage-utils
Requires:         rhq-plugin-annotations

%description
Helper to generate RHQ plugin skeletons

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n pluginGen
%patch0 -p1

%build
mvn-rpmbuild -Dproject.build.sourceEncoding=iso8859-1 install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/rhq-pluginGen-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sun Mar 11 2012 Ricardo Arguello <ricardo@fedoraproject.org> 3.0.4-2
- Cleanup of the spec file

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.4-1
- Initial packaging
